Bug 4400 - BIBTEX export from OPAC results in empty file
Summary: BIBTEX export from OPAC results in empty file
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-23 10:44 UTC by Katrin Fischer
Modified: 2012-10-25 22:52 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (979 bytes, patch)
2010-05-10 19:25 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:26:44 UTC


---- Reported by katrin.fischer@bsz-bw.de 2010-04-23 10:44:58 ----

Tested with 3.01.00.127

I tried to export a record in BIBTEX and RIS format from OPAC.

RIS was ok, but the export file from BIBTEX was empty.



---- Additional Comments From oleonard@myacpl.org 2010-05-10 19:25:54 ----

Created an attachment
Proposed fix

opac-export.pl tries to get two variables from marc2bibtex(), but it only returns one.




---- Additional Comments From gmcharlt@gmail.com 2010-05-11 10:15:11 ----

Patch pushed.  Please test and close.



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-05-14 09:26:22 ----

File is no longer empty.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:26 UTC  ---

This bug was previously known as _bug_ 4400 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4400
Imported an attachment (id=2073)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 2073 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.